#include <bits/stdc++.h>
using namespace std;
int main()
{
    string x,y,z;
    cin>>x>>y>>z;
    string k[20];
    k[0]=x+y+z;
    k[1]=x+z+y;
    k[2]=y+x+z;
    k[3]=y+z+x;
    k[4]=z+x+y;
    k[5]=z+y+x;
    sort(k,k+6);
    cout<<k[5];
    return 0;
}